| ghc-6.10.4: The GHC API | Contents | Index

CmmLive

Synopsis

type CmmLive = UniqSet LocalReg
type BlockEntryLiveness = BlockEnv CmmLive
cmmLiveness :: [CmmBasicBlock] -> BlockEntryLiveness
cmmFormalsToLiveLocals :: CmmFormals -> [LocalReg]

Documentation
type CmmLive = UniqSet LocalReg
The variables live on entry to a block
type BlockEntryLiveness = BlockEnv CmmLive
A mapping from block labels to the variables live on entry
cmmLiveness :: [CmmBasicBlock] -> BlockEntryLiveness
Calculated liveness info for a list of `CmmBasicBlock`
cmmFormalsToLiveLocals :: CmmFormals -> [LocalReg]
Produced by Haddock version 2.4.2